'use strict';

function _interopDefault (ex) { return (ex && (typeof ex === 'object') && 'default' in ex) ? ex['default'] : ex; }

var Icon = require('../Icon-de9d009b.js');
var React = _interopDefault(require('react'));
require('@rocketsoftware/icon-helpers');
require('prop-types');

var Number_524 =
/*#__PURE__*/
React.forwardRef(function Number_524(props, ref) {
  return React.createElement(Icon.Icon, Icon._extends({
    width: 24,
    height: 24,
    viewBox: "0 0 32 32",
    ref: ref
  }, props), React.createElement("path", {
    d: "M18,23H12V21h6V17H12V9h8v2H14v4h4a2,2,0,0,1,2,2v4A2,2,0,0,1,18,23Z"
  }), props.children);
});

module.exports = Number_524;
